<?php

/*
 * CWCP API v1
 * @author develephant 01.18.2012
 */

class Api {

    /***************************************************/
    // Chumby webCP API
    /***************************************************/
    public function doReboot () {
        `reboot -d1`;
        return true;
    }

    /***************************************************/
    // ALARM
    /***************************************************/
    public function doAlarmOn ($value='') {
        return $this->setEvent(sprintf(ALARM_INDEX_ON, $value));
    }

    public function doAlarmOff ($value='') {
        return $this->setEvent(sprintf(ALARM_INDEX_OFF, $value));
    }

    public function doAlarmRing ($value='') {
        return $this->setEvent(sprintf(ALARM_INDEX_RING, $value));
    }

    public function doAlarmSnooze () {
        return $this->setEvent(ALARM_SNOOZE);
    }

    public function doAlarmStop () {
        return $this->setEvent(ALARM_STOP);
    }

    public function doAlarmReload () {
        return $this->setEvent(ALARM_RELOAD);
    }
    /***************************************************/

    /***************************************************/
    // NIGHT MODE
    /***************************************************/
    public function doNightModeOn () {
        return $this->setEvent(NIGHTMODE_ON);
    }

    public function doNightModeOff () {
        return $this->setEvent(NIGHTMODE_OFF);
    }

    public function doNightModeDark () {
        return $this->setEvent(NIGHTMODE_DARK);
    }

    public function doNightModeDim () {
        return $this->setEvent(NIGHTMODE_DIM);
    }
    /***************************************************/

    /***************************************************/
    // SCREEN
    /***************************************************/
    public function doScreenBright () {
        return $this->setEvent(SCREEN_BRIGHT);
    }

    public function doScreenDim () {
        return $this->setEvent(SCREEN_DIM);
    }

    public function doScreenOff () {
        return $this->setEvent(SCREEN_OFF);
    }
    /***************************************************/

    /***************************************************/
    // STREAM
    /***************************************************/
    public function doStreamPlay ($value='') {
        return $this->setEvent(sprintf(STREAM_PLAY, $value));
    }

    public function doStreamPlayLooped ($value='') {
        return $this->setEvent(sprintf(STREAM_PLAYLOOP, $value));
    }
    /***************************************************/

    /***************************************************/
    // PLAYER
    /***************************************************/
    public function doPlayerStop () {
        return $this->setEvent(PLAYER_STOP);
    }

    public function doPlayerMuteOn () {
        return $this->setEvent(sprintf(PLAYER_MUTE, "on"));
    }

    public function doPlayerMuteOff () {
        return $this->setEvent(sprintf(PLAYER_MUTE, "off"));
    }

    public function doPlayerSetVolume ($value='') {
        return $this->setEvent(sprintf(PLAYER_VOLUME, $value));
    }

    public function doPlayerSetBalance ($value='') {
        return $this->setEvent(sprintf(PLAYER_BALANCE, $value));
    }
    /***************************************************/

    /***************************************************/
    // WIDGETS
    /***************************************************/
    public function doWidgetNext () {
        return $this->setEvent(WIDGET_NEXT);
    }

    public function doWidgetPrev () {
        return $this->setEvent(WIDGET_PREV);
    }

    public function doWidgetShuffle () {
        return $this->setEvent(WIDGET_SHUFFLE);
    }

    public function doWidgetReload () {
        return $this->setEvent(WIDGET_RELOAD);
    }

    public function doWidgetSetChannel ($value='') {
        return $this->setEvent(sprintf(WIDGET_CHANNEL, $value));
    }

    public function doWidgetSetWidget ($value='') {
        return $this->setEvent(sprintf(WIDGET_WIDGET, $value));
    }
    /***************************************************/

    /***************************************************/
    // FM RADIO (ChumbyOne)
    /***************************************************/
    public function doFMStop () {
        return $this->setEvent(FM_STOP);
    }

    public function doFMScanUp () {
        return $this->setEvent(sprintf(FM_SCAN, "up"));
    }

    public function doFMScanDown () {
        return $this->setEvent(sprintf(FM_SCAN, "down"));
    }

    public function doFMTuneUp () {
        return $this->setEvent(sprintf(FM_TUNE, "up"));
    }

    public function doFMTuneDown () {
        return $this->setEvent(sprintf(FM_TUNE, "down"));
    }

    public function doFMPlayStation ($value='') {
        return $this->setEvent(sprintf(FM_STATION_PLAY, $value));
    }

    public function doFMPlayPreset ($value='') {
        return $this->setEvent(sprintf(FM_PRESET_PLAY, $value));
    }
    /***************************************************/

    /***************************************************/
    // BUILD AND CALL EVENT
    /***************************************************/
    private function setEvent ($eventXml='') {
        return self::sendEvent($eventXml);
    }

    //STATIC -> BYPASS API
    public static function sendEvent ($eventXml='') {
        if (!empty($eventXml)) {
            $file = "/tmp/flashplayer.event";
            file_put_contents($file, $eventXml);
            `chumbyflashplayer.x -F1`;
            return true;
        } else {
            return false;
        }
    }
    /***************************************************/

    /***************************************************/
    // LANGUAGE STRINGS
    /***************************************************/
    public static function _s ($strKey='', $noPrint=FALSE) { //for lang
        global $l;

        $str = '$l[\''.$strKey.'\']';
        if (!empty($strKey)) {
            if (array_key_exists($strKey, $l)) {
                $str = $l[$strKey];
            }
        }

        if ($noPrint == TRUE) {
            return $str;
        } else {
            echo $str;
        }

    }

    //HELLO WORLD
    public function hello () {
      return "hello";
    }

    /***************************************************/
    // Master Instance
    /***************************************************/
    public static function _()
    {
    static $instance = null;
    if ( $instance == null )
      $instance = new Api();
    return $instance;
    }

}

?>
