<?php

    //*********************************************//
    // GLOBAL DEFINE
    //*********************************************//

    define('VERSION', '1.0');

    define('CSS', 'core/styles');

    //Savant
    define('TPL', 'core/templates');
    define('CNT', 'content');

    define('HEADER_TPL', TPL.'/header.tpl.php');
    define('INDEX_TPL', TPL.'/index.tpl.php');
    define('INDEX_2COL_TPL', TPL.'/index_2col.tpl.php'); //2 column version
    define('FOOTER_TPL', TPL.'/footer.tpl.php');

    //AjaxLive
    define('AJS', 'lib/phplivex/phplivex.js');
    define('ACT', 'actions');
    //*********************************************//

    //*********************************************//
    // XML EVENT CHUNKS
    //*********************************************//
    //NIGHT MODE
    define ('NIGHTMODE_ON', '<event type="NightMode" value="on" comment=""/>');// enter night mode
    define ('NIGHTMODE_OFF', '<event type="NightMode" value="off" comment=""/>');// exit night mode
    define ('NIGHTMODE_DARK', '<event type="NightMode" value="dark" comment=""/>');// turn off the display (added in CP 2.8.20)
    define ('NIGHTMODE_DIM', '<event type="NightMode" value="dim" comment=""/>');// turn the display to dim (added in CP 2.8.20)

    //SCREEN
    define ('SCREEN_BRIGHT', '<event type="ScreenManager" value="bright" comment=""/>');// set screen to full brightness
    define ('SCREEN_DIM', '<event type="ScreenManager" value="dim" comment=""/>');// set screen to dim
    define ('SCREEN_OFF', '<event type="ScreenManager" value="off" comment=""/>');// set screen to off

    //STREAM (userplayer)
    define ('STREAM_PLAY', '<event type="UserPlayer" value="play" comment="%s"/>');// play the URL %s
    define ('STREAM_PLAYLOOP', '<event type="UserPlayer" value="playLoop" comment="%s"/>');// play the file %s 100,000 times

    //PLAYER (music)
    define ('PLAYER_STOP', '<event type="MusicPlayer" value="stop" comment=""/>');// stop the current music
    define ('PLAYER_VOLUME', '<event type="MusicPlayer" value="setVolume" comment="%s"/>');// set the system volume %s, 0..100, music must be playing for this to work
    define ('PLAYER_MUTE', '<event type="MusicPlayer" value="setMute" comment="%s"/>');// set the system mute, "on" = muted, "off" = no muted, music must be playing for this to work
    define ('PLAYER_BALANCE', '<event type="MusicPlayer" value="setBalance" comment="%s"/>');// set the system balance %s, -100..100, music must be playing for this to work

    //WIDGET
    define ('WIDGET_NEXT', '<event type="WidgetPlayer" value="nextWidget" comment=""/>');// switch to the next widget
    define ('WIDGET_PREV', '<event type="WidgetPlayer" value="prevWidget" comment=""/>');// switch to the previous widget
    define ('WIDGET_SHUFFLE', '<event type="WidgetPlayer" value="shuffle" comment=""/>'); // shuffles the current channel
    define ('WIDGET_RELOAD', '<event type="WidgetPlayer" value="reload" comment=""/>');// reload the current channel
    define ('WIDGET_CHANNEL', '<event type="WidgetPlayer" value="setChannel" comment="%s"/>');// switch to the named channel %s
    define ('WIDGET_WIDGET', '<event type="WidgetPlayer" value="setWidget" comment="%s"/>');// name of widget instance %s, fall back to widget name, skipped if widget not present

    //ALARM
    define ('ALARM_INDEX_ON', '<event type="AlarmPlayer" value="on" comment="%s"/>');// enable alarm by index %s
    define ('ALARM_INDEX_OFF', '<event type="AlarmPlayer" value="off" comment="%s"/>');// disable alarm by index %s
    define ('ALARM_INDEX_RING', '<event type="AlarmPlayer" value="ring" comment="%s"/>');// ring alarm by index %s
    define ('ALARM_SNOOZE', '<event type="AlarmPlayer" value="snooze" comment=""/>');// snooze the currently ringing alarm
    define ('ALARM_STOP', '<event type="AlarmPlayer" value="stop" comment=""/>');// stop the currently ringing alarm
    define ('ALARM_RELOAD', '<event type="AlarmPlayer" value="reload" comment=""/>');// reload the alarms file (added in CP 2.8.9)

    //FM - Chubmy One Only
    define ('FM_STATION_PLAY', '<event type="FMRadio" value="play" comment="%s"/>');// play the specified station %s (added in CP 2.8.72)
    define ('FM_PRESET_PLAY', '<event type="FMRadio" value="preset" comment="%s"/>');// play the specified preset station, numbered 0 through 3 %s (added in CP 2.8.72)
    define ('FM_SCAN', '<event type="FMRadio" value="scan" comment="%s"/>');// scan to the next strong station %s -> "up" or "down" (added in CP 2.8.72)
    define ('FM_TUNE', '<event type="FMRadio" value="tune" comment="%s"/>');// increment %s -> ("up") or decrement ("down") the frequency by the local step (added in CP 2.8.72)
    define ('FM_STOP', '<event type="FMRadio" value="stop" comment=""/>');// stop playing the radio (added in CP 2.8.72)


?>